/******************** (C) COPYRIGHT 2011 WCH ***********************************
* File Name          : usb_desc.h
* Author             : MJX
* Version            : V2.00
* Date               : 2022/03/15
* Description        : USBضͷļ
*******************************************************************************/




#ifndef __USB_DESC_H
#define __USB_DESC_H

#ifdef __cplusplus
 extern "C" {
#endif

 /******************************************************************************/
 /* ͷļ */
#include "ch32v20x.h"
#include "TYPE.h"
/* USBغ궨 */
#define USB_DEVICE_DESCRIPTOR_TYPE              0x01
#define USB_CONFIGURATION_DESCRIPTOR_TYPE       0x02
#define USB_STRING_DESCRIPTOR_TYPE              0x03
#define USB_INTERFACE_DESCRIPTOR_TYPE           0x04
#define USB_ENDPOINT_DESCRIPTOR_TYPE            0x05

#define USBD_DATA_SIZE                          64
#define USBD_INT_SIZE                           8


#define DEF_BULK_DOWN_DATA_SIZE                 64
#define DEF_BULK_UP_DATA_SIZE                   32

#define DEF_INTERRUPT_DATA_SIZE                 16

 /* USBغ궨 */
#define USBD_SIZE_DEVICE_DESC                   18
#define USBD_SIZE_CONFIG_DESC                   0x43
#define USBD_SIZE_STRING_LANGID                 4
#define USBD_SIZE_STRING_VENDOR                 0x0E
#define USBD_SIZE_STRING_PRODUCT                0x20
#define USBD_SIZE_STRING_SERIAL                 0x16

#define STANDARD_ENDPOINT_DESC_SIZE             0x09

/******************************************************************************/
/*  */
extern uint8_t USBD_DeviceDescriptor[ ];
extern const uint8_t  USBD_ConfigDescriptor[ ];
extern const uint8_t USBD_StringLangID [USBD_SIZE_STRING_LANGID];
extern const uint8_t USBD_StringVendor [USBD_SIZE_STRING_VENDOR];
extern const uint8_t USBD_StringProduct[USBD_SIZE_STRING_PRODUCT];
extern const uint8_t USBD_StringSerial [USBD_SIZE_STRING_SERIAL];
extern const UINT8 USBD_USBQUADesc[ ];


 /********************************************************************************/
 /*  */


#ifdef __cplusplus
}
#endif

#endif /* __USB_DESC_H */
